Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealtho2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho2.exp
@@ -57,6 +57,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealtho3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho3.dot
@@ -1,9 +1,12 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealtho3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho3.exp
@@ -57,6 +57,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthp2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp2.dot
@@ -1,10 +1,12 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -12,6 +14,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" -> "apache_1_start_0 hs21c" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthp2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp2.exp
@@ -115,6 +115,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="9" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthp3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp3.dot
@@ -1,9 +1,12 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthp3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthp3.exp
@@ -57,6 +57,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/target-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-1.dot
@@ -1,16 +1,28 @@
  digraph "g" {
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc_c001n01_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_stop_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n08_stop_0 c001n08" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/target-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-1.exp
@@ -124,6 +124,42 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="21" operation="stop" operation_key="rsc_c001n08_stop_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/target-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-2.dot
@@ -1,19 +1,34 @@
 digraph "g" {
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc_c001n01_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_stop_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n08_stop_0 c001n08" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/target-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/target-2.exp
@@ -151,6 +151,51 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="24" operation="stop" operation_key="rsc_c001n08_stop_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-startup.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unfence-startup.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-startup.dot
@@ -5,11 +5,13 @@ digraph "g" {
 "clvmd-clone_start_0" -> "clvmd:1_start_0 virt-2" [ style = bold]
 "clvmd-clone_start_0" -> "clvmd:2_start_0 virt-3" [ style = bold]
 "clvmd-clone_start_0" [ style=bold color="green" fontcolor="orange"]
+"clvmd:1_monitor_0 virt-2" -> "all_stopped" [ style = bold]
 "clvmd:1_monitor_0 virt-2" -> "clvmd-clone_start_0" [ style = bold]
 "clvmd:1_monitor_0 virt-2" [ style=bold color="green" fontcolor="black"]
 "clvmd:1_start_0 virt-2" -> "clvmd-clone_running_0" [ style = bold]
 "clvmd:1_start_0 virt-2" -> "clvmd:2_start_0 virt-3" [ style = bold]
 "clvmd:1_start_0 virt-2" [ style=bold color="green" fontcolor="black"]
+"clvmd:2_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "clvmd:2_monitor_0 virt-3" -> "clvmd-clone_start_0" [ style = bold]
 "clvmd:2_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "clvmd:2_start_0 virt-3" -> "clvmd-clone_running_0" [ style = bold]
@@ -19,11 +21,13 @@ digraph "g" {
 "dlm-clone_start_0" -> "dlm-clone_running_0" [ style = bold]
 "dlm-clone_start_0" -> "dlm:2_start_0 virt-3" [ style = bold]
 "dlm-clone_start_0" [ style=bold color="green" fontcolor="orange"]
+"dlm:2_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "dlm:2_monitor_0 virt-3" -> "dlm-clone_start_0" [ style = bold]
 "dlm:2_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "dlm:2_start_0 virt-3" -> "clvmd:2_start_0 virt-3" [ style = bold]
 "dlm:2_start_0 virt-3" -> "dlm-clone_running_0" [ style = bold]
 "dlm:2_start_0 virt-3" [ style=bold color="green" fontcolor="black"]
+"fencing_monitor_0 virt-3" -> "all_stopped" [ style = bold]
 "fencing_monitor_0 virt-3" [ style=bold color="green" fontcolor="black"]
 "stonith 'on' virt-3" -> "clvmd:2_monitor_0 virt-3" [ style = bold]
 "stonith 'on' virt-3" -> "clvmd:2_start_0 virt-3" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-startup.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unfence-startup.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unfence-startup.exp
@@ -209,6 +209,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="clvmd:1_monitor_0" on_node="virt-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="fencing_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="dlm:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="clvmd:2_monitor_0" on_node="virt-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="29" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unrunnable-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unrunnable-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unrunnable-1.dot
@@ -1,4 +1,5 @@
  digraph "g" {
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
 "DoFencing_stop_0" -> "DoFencing_stopped_0" [ style = bold]
@@ -6,24 +7,37 @@
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=dashed color="red" fontcolor="orange"]
+"child_192.168.100.181_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_192.168.100.181_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_192.168.100.181_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"child_192.168.100.182_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_192.168.100.182_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_192.168.100.182_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"child_192.168.100.183_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_192.168.100.183_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_192.168.100.183_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:1_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_DoFencing:1_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = dashed]
 "child_DoFencing:1_stop_0 c001n02" -> "all_stopped" [ style = dashed]
 "child_DoFencing:1_stop_0 c001n02" [ style=dashed color="red" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_DoFencing:2_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "rsc_c001n03_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = dashed]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unrunnable-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/unrunnable-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/unrunnable-1.exp
@@ -106,6 +106,15 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="40" operation="stop" operation_key="DoFencing_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail1.dot
@@ -1,6 +1,8 @@
 digraph "g" {
+"A_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "A_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "B_monitor_0 lxc2" -> "B_start_0 lxc1" [ style = bold]
+"B_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "B_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "B_monitor_10000 lxc1" [ style=bold color="green" fontcolor="black"]
 "B_start_0 lxc1" -> "B_monitor_10000 lxc1" [ style = bold]
@@ -8,6 +10,7 @@ digraph "g" {
 "B_stop_0 lxc1" -> "B_start_0 lxc1" [ style = bold]
 "B_stop_0 lxc1" -> "all_stopped" [ style = bold]
 "B_stop_0 lxc1" [ style=bold color="green" fontcolor="orange"]
+"D_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "D_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "M-clone_running_0" [ style=bold color="green" fontcolor="orange"]
 "M-clone_start_0" -> "M-clone_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail1.exp
@@ -300,6 +300,15 @@
         <rsc_op id="5" operation="stop" operation_key="container1_stop_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="A_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="B_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="D_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="28" operation="stop" operation_key="M_stop_0" internal_operation_key="M:4_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail2.dot
@@ -1,6 +1,8 @@
 digraph "g" {
+"A_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "A_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "B_monitor_0 lxc2" -> "B_start_0 lxc1" [ style = bold]
+"B_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "B_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "B_monitor_10000 lxc1" [ style=bold color="green" fontcolor="black"]
 "B_start_0 lxc1" -> "B_monitor_10000 lxc1" [ style = bold]
@@ -8,6 +10,7 @@ digraph "g" {
 "B_stop_0 lxc1" -> "B_start_0 lxc1" [ style = bold]
 "B_stop_0 lxc1" -> "all_stopped" [ style = bold]
 "B_stop_0 lxc1" [ style=bold color="green" fontcolor="orange"]
+"D_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "D_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "M-clone_running_0" [ style=bold color="green" fontcolor="orange"]
 "M-clone_start_0" -> "M-clone_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail2.exp
@@ -300,6 +300,15 @@
         <rsc_op id="5" operation="stop" operation_key="container1_stop_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="A_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="B_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="D_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="28" operation="stop" operation_key="M_stop_0" internal_operation_key="M:4_stop_0"/>
       </trigger>
       <trigger>
